Skip to main content
GET
/
api
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://api.embedreach.com/api/subscriptions
{
  "success": true,
  "message": "<string>",
  "data": {
    "results": [
      {
        "externalId": "<string>",
        "emailOptOut": true,
        "phoneOptOut": true,
        "emailSubscriptionChangeSource": "<string>",
        "smsSubscriptionChangeSource": "<string>",
        "emailSubscriptionChangeAt": "<string>",
        "smsSubscriptionChangeAt": "<string>",
        "lastSubscriptionChangeAt": "<string>"
      }
    ],
    "pagination": {
      "hasNextPage": true,
      "cursor": "<string>",
      "total": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

reach-tenant-id
string

If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.

Query Parameters

cursor
string

The cursor to start the pagination

limit
number | null

The number of items per page

since
string

Since timestamp to filter lastSubscriptionChangeAt

Response

Status 200 response

success
boolean
required
message
string
data
object